package com.css.txw.common.net;

import cn.hutool.http.HttpResponse;

import java.io.File;
import java.util.Map;

public interface IHttpService {

    HttpResponse get(String url, Map<String, Object> params);

    HttpResponse postForm(String url, Map<String, Object> form);

    HttpResponse postForm(String url, Map<String, Object> form, Map<String, File> files);

    <T> T postJson(String url, String body, Class<T> resType);
}
